Skip to content

List delivery events

GET
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/invoices/{invoice_id}/delivery-events

List send/open/reminder events for invoice.

invoice_id
required
Invoice Id
string format: uuid
X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string
X-Tenant-ID
Any of:
string

Successful Response

Response List Invoice Delivery Events Api V1 Tenants Tenant Id Workspaces Workspace Id Invoices Invoice Id Delivery Events Get
Array<object>
InvoiceDeliveryEventResponse

Delivery or reminder event response.

object
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
id
required
Id
string format: uuid
invoice_id
required
Invoice Id
string format: uuid
event_type
required
InvoiceDeliveryEventType

Collections delivery lifecycle events.

string
Allowed values: sent opened bounced reminder_sent link_created
channel
required
InvoiceDeliveryChannel

Channel used for invoice delivery events.

string
Allowed values: email link whatsapp api
recipient
Any of:
string
metadata
Any of:
object
key
additional properties
any
occurred_at
required
Occurred At
string format: date-time
Examples

200 response example

[
{
"created_at": "2026-02-11T10:00:00Z",
"updated_at": "2026-02-11T10:00:00Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"event_type": "sent",
"channel": "email",
"recipient": "string",
"metadata": {},
"occurred_at": "2026-02-11T10:00:00Z"
}
]

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}